test: _OBJECT_TYPE_INITIALIZER struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _OBJECT_TYPE_INITIALIZER Struct Reference

`#include <ob.h>`

List of all members.

## Public Attributes

USHORT | Length
BOOLEAN | UseDefaultObject
BOOLEAN | Reserved
ULONG | InvalidAttributes
GENERIC_MAPPING | GenericMapping
ULONG | ValidAccessMask
BOOLEAN | SecurityRequired
BOOLEAN | MaintainHandleCount
BOOLEAN | MaintainTypeList
POOL_TYPE | PoolType
ULONG | DefaultPagedPoolCharge
ULONG | DefaultNonPagedPoolCharge
OB_DUMP_METHOD | DumpProcedure
OB_OPEN_METHOD | OpenProcedure
OB_CLOSE_METHOD | CloseProcedure
OB_DELETE_METHOD | DeleteProcedure
OB_PARSE_METHOD | ParseProcedure
OB_SECURITY_METHOD | SecurityProcedure
OB_QUERYNAME_METHOD | QueryNameProcedure
OB_OKAYTOCLOSE_METHOD | OkayToCloseProcedure

## Member Data Documentation

OB_CLOSE_METHOD _OBJECT_TYPE_INITIALIZER::CloseProcedure

| Definition at line 178 of file ob.h. Referenced by ObpDecrementHandleCount(), ObpIncrementHandleCount(), ObpIncrementUnnamedHandleCount(), and Win32UserInitialize().

ULONG _OBJECT_TYPE_INITIALIZER::DefaultNonPagedPoolCharge

| Definition at line 175 of file ob.h. Referenced by ObCreateObjectType(), ObGetObjectInformation(), ObpFreeObject(), and Win32UserInitialize().

ULONG _OBJECT_TYPE_INITIALIZER::DefaultPagedPoolCharge

| Definition at line 174 of file ob.h. Referenced by ObCreateObjectType(), ObGetObjectInformation(), ObpFreeObject(), and Win32UserInitialize().

OB_DELETE_METHOD _OBJECT_TYPE_INITIALIZER::DeleteProcedure

| Definition at line 179 of file ob.h. Referenced by ObpRemoveObjectRoutine(), and Win32UserInitialize().

OB_DUMP_METHOD _OBJECT_TYPE_INITIALIZER::DumpProcedure

| Definition at line 176 of file ob.h.

GENERIC_MAPPING _OBJECT_TYPE_INITIALIZER::GenericMapping

| Definition at line 168 of file ob.h. Referenced by CmpCheckCreateAccess(), CmpCheckNotifyAccess(), CmpDoCreateChild(), IoCheckDesiredAccess(), IopParseDevice(), NtDuplicateObject(), NtOpenProcess(), NtOpenThread(), NtQuerySecurityObject(), ObCheckCreateObjectAccess(), ObCheckObjectAccess(), ObGetObjectInformation(), ObGetObjectSecurity(), ObInsertObject(), ObOpenObjectByPointer(), ObpCheckObjectReference(), ObpCheckTraverseAccess(), ObpIncrementHandleCount(), ObpIncrementUnnamedHandleCount(), ObSetSecurityObjectByPointer(), PspCreateProcess(), PspCreateThread(), PspSetPrimaryToken(), SepCreateToken(), and Win32UserInitialize().

ULONG _OBJECT_TYPE_INITIALIZER::InvalidAttributes

| Definition at line 167 of file ob.h. Referenced by ObGetObjectInformation(), ObOpenObjectByName(), ObOpenObjectByPointer(), and ObpSetHandleAttributes().

USHORT _OBJECT_TYPE_INITIALIZER::Length

| Definition at line 164 of file ob.h.

BOOLEAN _OBJECT_TYPE_INITIALIZER::MaintainHandleCount

| Definition at line 171 of file ob.h. Referenced by ObpDecrementHandleCount(), ObpIncrementHandleCount(), ObpIncrementUnnamedHandleCount(), and Win32UserInitialize().

BOOLEAN _OBJECT_TYPE_INITIALIZER::MaintainTypeList

| Definition at line 172 of file ob.h. Referenced by ObCreateObjectType().

OB_OKAYTOCLOSE_METHOD _OBJECT_TYPE_INITIALIZER::OkayToCloseProcedure

| Definition at line 183 of file ob.h. Referenced by NtClose(), and Win32UserInitialize().

OB_OPEN_METHOD _OBJECT_TYPE_INITIALIZER::OpenProcedure

| Definition at line 177 of file ob.h. Referenced by ObpIncrementHandleCount(), ObpIncrementUnnamedHandleCount(), and Win32UserInitialize().

OB_PARSE_METHOD _OBJECT_TYPE_INITIALIZER::ParseProcedure

| Definition at line 180 of file ob.h. Referenced by ObpLookupObjectName(), and Win32UserInitialize().

POOL_TYPE _OBJECT_TYPE_INITIALIZER::PoolType

| Definition at line 173 of file ob.h. Referenced by CmpDoCreateChild(), NtQuerySecurityObject(), ObCreateObjectType(), ObfDereferenceObject(), ObGetObjectInformation(), ObGetObjectSecurity(), ObpDeleteNameCheck(), and ObSetSecurityObjectByPointer().

OB_QUERYNAME_METHOD _OBJECT_TYPE_INITIALIZER::QueryNameProcedure

| Definition at line 182 of file ob.h. Referenced by ObGetObjectInformation(), and ObQueryNameString().

BOOLEAN _OBJECT_TYPE_INITIALIZER::Reserved

| Definition at line 166 of file ob.h.

OB_SECURITY_METHOD _OBJECT_TYPE_INITIALIZER::SecurityProcedure

| Definition at line 181 of file ob.h. Referenced by NtDuplicateObject(), NtQuerySecurityObject(), ObCreateObjectType(), ObGetObjectSecurity(), ObpDeleteNameCheck(), ObpRemoveObjectRoutine(), and ObSetSecurityObjectByPointer().

BOOLEAN _OBJECT_TYPE_INITIALIZER::SecurityRequired

| Definition at line 170 of file ob.h. Referenced by ObGetObjectInformation(), ObInsertObject(), and ObpDeleteNameCheck().

BOOLEAN _OBJECT_TYPE_INITIALIZER::UseDefaultObject

| Definition at line 165 of file ob.h. Referenced by ObCreateObjectType().

ULONG _OBJECT_TYPE_INITIALIZER::ValidAccessMask

| Definition at line 169 of file ob.h. Referenced by NtDuplicateObject(), ObCreateObjectType(), ObGetObjectInformation(), ObpCreateHandle(), ObpCreateUnnamedHandle(), and Win32UserInitialize().

The documentation for this struct was generated from the following file:

- ob.h